// estilos de tablas
.table-style
  thead
    th, td
      padding: 5px 10px !important
      font-weight: bold !important

  // ech row group in body
  tbody
    td, th
      color: #000
      position: relative
      padding: 10px 25px !important

        // the colored background
      &:before
        content: ''
        position: absolute
        top: 5px
        left: 0
        right: 0
        bottom: 5px
        background: #c6ccd7
        z-index: -2

      // another background color for another group
    &.blue
      th, td
        &:before
          background: blue

      // standard cell
    td
      color: #000

        // grey backdrop
      &:after
        content: ''
        position: absolute
        top: 0
        left: 5px
        right: 5px
        bottom: 0px
        background: rgba(215, 218, 230, 0.65)
        z-index: -1

    // add border radius to the left-most part of the background
    th:before
      border-radius: 5px 0 0 5px
      left: 5px // move background away from corner-border

    // add border radius to the rightmost part of background
    td:last-child:before
      border-radius: 0 5px 5px 0

      // add "corner-borders"
    th:after
      content: ''
      position: absolute
      top: 0
      left: 0
      width: 0
      bottom: 0
      border-left: 2px solid #0D1D3A

    // first row has actual corner
    tr:first-child th:after
      content: ''
      position: absolute
      top: 0
      left: 0
      // width: 100%
      border-top: 1px solid red

      // corner-border in last row should be shorter to allow for a gap
    tr:last-child th:after
      bottom: 5px

.details
  color: green
.fa-tbl
  font-size: 1.3em !important
